features:
  secondary:
    - name: "Track cherry-picked commits from Merge Request"
      available_in: [core, starter, premium, ultimate]
      documentation_link: 'https://docs.gitlab.com/ee/user/project/merge_requests/cherry_pick_changes.html#cherry-pick-tracking'
      image_url: '/images/12_9/cherry_pick.png'
      reporter: ogolowinski
      stage: release
      categories:
        - 'Continuous Delivery'
      issue_url: 'https://gitlab.com/groups/gitlab-org/-/epics/2675'
      description: |
        It is important to track everything that gets delivered to production. We now record when a merge commit is cherry-picked into a branch that gets deployed (when done either through the UI or through the API). The original merge request thread is updated with a system note indicating that the merge commit was cherry-picked into the deployed branch, and it is also included in the list of deployed merge requests.
